List blocks
curl --request GET \
--url https://mainnet.mirrornode.hedera.com/api/v1/blocksimport requests
url = "https://mainnet.mirrornode.hedera.com/api/v1/blocks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mainnet.mirrornode.hedera.com/api/v1/blocks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"blocks": [
{
"count": 3,
"gas_used": 300000,
"hapi_version": "0.11.0",
"hash": "0x3c08bbbee74d287b1dcd3f0ca6d1d2cb92c90883c4acf9747de9f3f3162ad25b999fc7e86699f60f2a3fb3ed9a646c6b",
"logs_bloom": "0x00000020002000001000000000000000000000000000000000000000000010000000000004000000000000000000000000108000000000000000000080000000000004000000000000000000000000880000000000000000000101000000000000000000000000000000000000008000000000000400000080000000000001000000000000000000000000000000000000000000002000000000100000100000200000040000100000001000000000000000000000000000000001001000004000000000000000000001000000000000000000100000000000100000000000000000000000000000000000000000000000080000100800000000000000120080",
"name": "2022-05-03T06_46_26.060890949Z.rcd",
"number": 77,
"previous_hash": "0xf7d6481f659c866c35391ee230c374f163642ebf13a5e604e04a95a9ca48a298dc2dfa10f51bcbaab8ae23bc6d662a0b",
"size": 8192,
"timestamp": {
"from": "1651560386.060890949",
"to": "1651560386.661997287"
}
}
],
"links": {
"next": null
}
}{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}Blocks
List blocks
Returns a list of blocks on the network.
GET
/
api
/
v1
/
blocks
List blocks
Query Parameters
The block's number
Pattern:
^((eq|gt|gte|lt|lte):)?\d{1,19}$The maximum number of items to return
Required range:
1 <= x <= 100The order in which items are listed
Available options:
asc, desc The consensus timestamp as a Unix timestamp in seconds.nanoseconds format with an optional comparison operator. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.
Pattern:
^((eq|gt|gte|lt|lte|ne):)?\d{1,10}(\.\d{1,9})?$Was this page helpful?
⌘I